import request from '@/utils/request'

// 查询资格考试报名列表
export function listZigePerson(query) {
  return request({
    url: '/zgks/ZigePerson/list',
    method: 'get',
    params: query
  })
}

// 查询资格考试报名详细
export function getZigePerson(PersonId) {
  return request({
    url: '/zgks/ZigePerson/' + PersonId,
    method: 'get'
  })
}

// 新增资格考试报名
export function addZigePerson(data) {
  return request({
    url: '/zgks/ZigePerson',
    method: 'post',
    data: data
  })
}

// 修改资格考试报名
export function updateZigePerson(data) {
  return request({
    url: '/zgks/ZigePerson',
    method: 'put',
    data: data
  })
}

// 删除资格考试报名
export function delZigePerson(PersonId) {
  return request({
    url: '/zgks/ZigePerson/' + PersonId,
    method: 'delete'
  })
}
